import javax.swing.*;
import java.awt.*;
import com.jinsight.jetchart.*;

public class Example20 extends JFrame implements SerieListener {
    
    JLabel label1,label2;
    
    public Example20() { 
	
	Graph graph=new Graph();
	
	graph.addSerieListener(this);
	
	// Series data point dragging has to be enabled with the following method.
	graph.setSerieDraggingEnabled(true);
	
	graph.setTitle(new String[]{"The JetChart Library","Handling series events"});
	
	LineSerie ls=new LineSerie(new double[]{100,130,110,90,80},"Line series");
	ls.setColor(Color.red);
	
	BarSerie bs=new BarSerie(new double[]{70,80,60,50,70},"Bar series");
	bs.setColor(Color.green);
	
	graph.addSerie(ls);
	graph.addSerie(bs);
	
	graph.getGraphSet(0).getGrid().setEnabled(true);
	graph.getGraphSet(0).getGrid().setColor(Color.lightGray);
	
	Container ct=getContentPane();
	
	ct.add(graph);
	
	// Creates a bottom panel to display the series values captured by the 
	// mouseMoved handler.
	JPanel bottomPanel=new JPanel();
	label1=new JLabel(" ");
	label2=new JLabel(" ");
	
	// Adds both labels to the bottom panel.
	bottomPanel.add(label1);
	bottomPanel.add(label2);
	
	ct.add("South",bottomPanel);
	
	setSize(450,350);
	
	setVisible(true);
	
    }
    public void serieClicked(SerieEvent evt) {
	
	AbstractSerie as=evt.getSerie();
	
	// If any icon in the legend box was clicked...
	if (evt.isOverLegend()) {
	    if (as instanceof BarSerie)
		System.out.println("The green icon in the legend box was clicked.");
	    else
		System.out.println("The red icon in the legend box was clicked.");
	}
	else { // The click was performed on a series data point.
	    int index=evt.getElementIndex();
	    double[] values=as.getValues();
	    if (as instanceof BarSerie)
		System.out.println("Bar series data point value: "+values[index]);
	    else
		System.out.println("Line series data point value: "+values[index]);
	}
	
    }
    
    public void serieReleased(SerieEvent evt) {
    }
    
    public void serieDragged(SerieEvent evt) {
	AbstractSerie as=evt.getSerie();
	int index=evt.getElementIndex();
	double[] values=as.getValues();
	if (as instanceof BarSerie)
	    System.out.println("New bar series data point value: "+values[index]);
	else
	    System.out.println("New line series data point value: "+values[index]);
    }
    
    public void mouseMoved(SerieEvent evt) {
	
	// This handler receives a SerieEvent object for each series added to 
	// the chart context. An element index different from -1 means that the
	// cursor is within the area of a series data point.
	// The series data point value is displayed inside the bottom panel.
	
	AbstractSerie as=evt.getSerie();
	double[] values=as.getValues();
	
	if (as instanceof BarSerie) {
	    if (evt.getElementIndex()!=-1) 
		label1.setText("Bar series value: "+values[evt.getElementIndex()]);
	    else 
		label1.setText(" ");
	    
      }
	else {
	    if (evt.getElementIndex()!=-1)
		label2.setText("Line series value: "+values[evt.getElementIndex()]);
	    else
		label2.setText(" ");
	}
	
	
    }
    
    public static void main(String[] args) {
        new Example20();
    }
    
}


